#!/bin/bash

node /usr/local/rs485/mqtt/app.js &
pid1=$!

slave_address=$(uci -q get modbus.rtu.slave_address)
slave_port=$(uci -q get modbus.tcp.slave_port)
slave_mode=$(uci -q get modbus.general.mode)
if [[ $slave_mode = RTU || -z $slave_mode ]]; then
	/usr/local/bin/dragino_m4r_slave -s $slave_address
elif [[ $slave_mode = TCP ]]; then
	python3 /usr/local/dragino/rs485/modbus_downlink.py &
	/usr/local/bin/dragino_m4t_slave -p $slave_port
	#/usr/local/bin/modbus_downlink
fi
